Update card parents
curl --request PUT \
--url https://api.vistaly.com/beta/cards/{cardId}/parents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"add": [
{
"parentId": "<string>"
}
],
"remove": [
{
"parentId": "<string>"
}
]
}
'import requests
url = "https://api.vistaly.com/beta/cards/{cardId}/parents"
payload = {
"add": [{ "parentId": "<string>" }],
"remove": [{ "parentId": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({add: [{parentId: '<string>'}], remove: [{parentId: '<string>'}]})
};
fetch('https://api.vistaly.com/beta/cards/{cardId}/parents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cardId": "<string>",
"cardUrl": "<string>",
"message": "<string>"
}{
"message": "Bad request"
}{
"message": "Unauthorized"
}{
"message": "Forbidden"
}{
"message": "Internal server error"
}cards
Update card parents
Update a card’s parent relationships by adding new parents and/or removing existing parents in a single atomic operation. This enables moving cards (remove old, add new) and multi-parent scenarios.
PUT
/
beta
/
cards
/
{cardId}
/
parents
Update card parents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier for the card
Body
application/json
⌘I